﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using DotSpatial.Controls;

namespace WPSClient
{
    public partial class frmMain : Form
    {
        public frmMain()
        {
            InitializeComponent();
        }

        private void mainMap_Load(object sender, EventArgs e)
        {

        }

        private void mainMap_DoubleClick(object sender, EventArgs e)
        {
            mainMap.AddLayer();
        }

        private void frmMain_Load(object sender, EventArgs e)
        {
            mainMapLegend.AddMapFrame(mainMap.MapFrame);
        
        }

        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            if (mainMap.Layers.Count > 0)
            {
                MapPolygonLayer okresyLayer = (MapPolygonLayer)mainMap.Layers[0];
                if (okresyLayer == null)
                {
                    MessageBox.Show("Blba vrstva / potrebuji neco polygonoveho s atributem nazev");
                }
                else
                {
                    mainMap.AddLabels(okresyLayer, "[nazok]", new Font("Tahoma", 8), Color.Black);
                    dataGridView1.DataSource = okresyLayer.DataSet.DataTable;
                    mainMap.FunctionMode = FunctionMode.Info;
                }
            }
            else {
                MessageBox.Show("Vloz vrstvu");
            }
        }

        private void dataGridView1_SelectionChanged(object sender, EventArgs e)
        {
            MapPolygonLayer okresyLayer = (MapPolygonLayer)mainMap.Layers[0];
            foreach (DataGridViewRow row in dataGridView1.SelectedRows) {
                okresyLayer.SelectByAttribute("[cat] = " + "'" + row.Cells["cat"].Value + "'", DotSpatial.Symbology.ModifySelectionMode.Append);
            }

        }
    }
}
